Bug 660344 - Cannot install proxy 5.3 using spacewalk-proxy-installer-1.1.2-1.el5sat
Cannot install proxy 5.3 using spacewalk-proxy-installer-1.1.2-1.el5sat
Status: CLOSED ERRATA
Product: Red Hat Satellite Proxy 5
Classification: Red Hat
Component: Installer (Show other bugs)
530
Unspecified Unspecified
high Severity medium
: ---
: ---
Assigned To: Miroslav Suchý
Dimitar Yordanov
: Regression
Depends On:
Blocks: sat531-triage sat54-errata
  Show dependency treegraph
 
Reported: 2010-12-06 10:46 EST by Martin Poole
Modified: 2010-12-20 04:49 EST (History)
3 users (show)

See Also:
Fixed In Version: spacewalk-proxy-installer-1.1.2-3
Doc Type: Bug Fix
Doc Text:
When installing RHN Proxy Server 5.3, the configure-proxy.sh script was unable to set up the jabberd service, and failed with the following error: /usr/sbin/configure-proxy.sh: line 359: /usr/bin/spacewalk-setup-jabberd: No such file or directory With this update, this error has been fixed, and the installation of RHN Proxy Server 5.3 no longer fails.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-20 04:49:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Poole 2010-12-06 10:46:17 EST
Description of problem:

spacewalk-proxy-installer-1.1.2-1.el5sat.noarch attempts to use spacewalk-setup-jabberd from the same named package which is not present in proxy 5.3

/usr/sbin/configure-proxy.sh: line 359: /usr/bin/spacewalk-setup-jabberd: No such file or directory


Version-Release number of selected component (if applicable):

spacewalk-proxy-installer-1.1.2-1.el5sat.noarch
Comment 1 Miroslav Suchý 2010-12-06 11:29:24 EST
added spacewalk-setup-jabberd as requirement

satellite.git commit c74040c294f7e8374e2c47b844d360669b67d122
Comment 2 Miroslav Suchý 2010-12-07 08:46:08 EST
Wrong approach. I reverted that commit.
Current spacewalk-setup-jabberd could not handle old jaberd config files, it would require differen templates and modification of both installer and spacewalk-setup-jabberd package.
I will put some "if" in command line installer and include those old jabberd files.
Comment 3 Miroslav Suchý 2010-12-08 05:38:49 EST
commited to spacewalk.git as commit 51cb23d2734f5994b37563ff486c3e6a151d9562
Comment 5 Miroslav Suchý 2010-12-08 07:49:38 EST
cherrypicked to satellite.git as commit e8df7266ea420173c3876352da2087e4c20f5054
Comment 6 Jaromir Hradilek 2010-12-08 08:58:58 EST
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
When installing RHN Proxy Server 5.3, the configure-proxy.sh script was unable to set up the jabberd service, and failed with the following error:

  /usr/sbin/configure-proxy.sh: line 359: /usr/bin/spacewalk-setup-jabberd: No such file or directory

With this update, this error has been fixed, and the installation of RHN Proxy Server 5.3 no longer fails.
Comment 7 Dimitar Yordanov 2010-12-15 18:50:48 EST
VERIFIED,
RHEL 5

Will run 'yum install spacewalk-proxy-monitoring'. [Y/n]: n
/usr/sbin/configure-proxy.sh: line 359: /usr/bin/spacewalk-setup-jabberd: No such file or directory
Using CA key at /root/ssl-build/RHN-ORG-PRIVATE-SSL-KEY.

----

Will run 'yum install spacewalk-proxy-monitoring'. [Y/n]: n
Using CA key at /root/ssl-build/RHN-ORG-PRIVATE-SSL-KEY.


RHEL-4
------------

Will run 'up2date -i spacewalk-proxy-monitoring'. [Y/n]: n
/usr/sbin/configure-proxy.sh: line 359: /usr/bin/spacewalk-setup-jabberd: No such file or directory
Generating CA key and public certificate:

--

Will run 'up2date -i spacewalk-proxy-monitoring'. [Y/n]: n
Using CA key at /root/ssl-build/RHN-ORG-PRIVATE-SSL-KEY.
Generating SSL key and public certificate:
Comment 9 errata-xmlrpc 2010-12-20 04:49:29 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0997.html

Note You need to log in before you can comment on or make changes to this bug.